Package org.opencv.structured_light

## Class StructuredLightPattern

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.structured_light.StructuredLightPattern

- Direct Known Subclasses:
    `GrayCodePattern`, `SinusoidalPattern`

      public class StructuredLightPattern
      extends Algorithm

  Abstract base class for generating and decoding structured light patterns.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `StructuredLightPattern​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static StructuredLightPattern` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `boolean` | `generate​(java.util.List<Mat> patternImages)` | Generates the structured light pattern to project.

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StructuredLightPattern

          protected StructuredLightPattern​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static StructuredLightPattern __fromPtr__​(long addr)

    - #### generate

          public boolean generate​(java.util.List<Mat> patternImages)

      Generates the structured light pattern to project.
      Parameters:
        `patternImages` - The generated pattern: a vector<Mat>, in which each image is a CV_8U Mat at projector's resolution.
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`